Bug 20842 - Improve template code for Container Node
Improve template code for Container Node
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Templates
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@apisupport
:
Depends on:
Blocks: 23761
  Show dependency treegraph
 
Reported: 2002-02-25 18:10 UTC by Jesse Glick
Modified: 2003-02-19 19:18 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-02-25 18:10:29 UTC
The container node template does not do a good job of showing how to tie the
children to an underlying data model. Should show how to find key list from a
data model, attach and detach listeners, etc.
Comment 1 Marek Grummich 2002-07-22 08:21:37 UTC
Target milestone was changed from '3.4' to TBD.
Comment 2 Jesse Glick 2003-01-11 03:19:40 UTC
committed   * Up-To-Date  1.5        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Nodes_API/__Sample_container__Children_java
committed   * Up-To-Date  1.8        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Nodes_API/__Sample_container__Node_java
committed   * Up-To-Date  1.5        
apisupport/src/org/netbeans/modules/apisupport/resources/templates/Nodes_API/__Sample_leaf__Node_java


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo